For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETList knowledge bases
      • GETGet a knowledge base
      • POSTCreate a knowledge base
      • PUTUpdate a knowledge base
      • DELDelete a knowledge base
      • POSTAttach a knowledge base
      • POSTDetach a knowledge base
      • GETList knowledge base sources
      • POSTAdd a knowledge base source
      • PUTUpdate a knowledge base source
      • DELDelete a knowledge base source
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIKnowledge Bases

Update a knowledge base

||View as Markdown|
PUT
/knowledge_base/:id
PUT
/v2/knowledge_base/:id
$curl -X PUT https://api.synthflow.ai/v2/knowledge_base/1739253053024x397207388602947460 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Updated Product Documentation",
> "rag_use_condition": "When the user asks about product features, specifications, or pricing."
>}'
1{
2 "status": "ok",
3 "response": {
4 "body": "Knowledge Base updated",
5 "knowledge_base_id": "1739253053024x397207388602947460"
6 }
7}
Was this page helpful?
Previous

Delete a knowledge base

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Knowledge base ID.

Request

This endpoint expects an object.
namestringOptional
Name of the knowledge base.
rag_use_conditionstringOptional
When this knowledge base should be used.

Response

200
statusstring
responseobject

Errors

400
Bad Request Error